<?php

if( !class_exists('PH_Estimated_Delivery_Settings_Option') ){

	class PH_Estimated_Delivery_Settings_Option {

		public function __construct() {

			$settings 						= get_option('ph_estimated_delivery_backorder_addon');
			$this->settings 				= !empty($settings)? $settings : array();

			$page_text_format				= get_option('wf_estimated_delivery_page_text_format');
			$this->page_text_format			= !empty( $page_text_format ) ? $page_text_format : '';

			$this->display_format			= get_option('wf_estimated_delivery_date_display_format');

			$product_page_sample_text		= get_option('wf_estimated_delivery_product_page_text_simple');
			$this->simple_text				= !empty( $product_page_sample_text ) ? __( $product_page_sample_text, 'wf_estimated_delivery' ) : '<p style="color:green;font-size:small">'.__( 'Estimated delivery by', 'wf_estimated_delivery' ).' [date]</p>';

			$product_page_text_range	 = get_option('wf_estimated_delivery_product_page_text_range');
		    $this->range_text	 = !empty( $product_page_text_range ) ? __( $product_page_text_range, 'wf_estimated_delivery' ) : '<p style="color:green;font-size:small">'.__( 'Estimated delivery by','wf_estimated_delivery' ).' [date_1] - [date_2]</p>';

			$cart_page_text 				= get_option('wf_estimated_delivery_cart_page_text');
			$this->cart_page_text			= !empty( $cart_page_text ) ? __( $cart_page_text, 'wf_estimated_delivery' ) : __('Estimated Delivery', 'wf_estimated_delivery' );

			$plain_text_mode 				= get_option('ph_estimated_delivery_plain_text_mode');
			$this->plain_text_mode 			= ( isset($plain_text_mode) && !empty($plain_text_mode) && $plain_text_mode == 'yes' ) ? true : false;

			$this->restrict_nonbackorder 	= get_option('backorder_status');
			$this->on_all_products 			= get_option('on_all_products');

			$accept_html 					= get_option('wf_estimated_delivery_accept_html');
			$this->accept_html 				= ( isset($accept_html) && !empty($accept_html) && $accept_html == 'yes' ) ? true : false;

		}

	}

	new PH_Estimated_Delivery_Settings_Option();
}